{ system ? builtins.currentSystem
# , rpSetup ? import ((import ./.obelisk/impl {}).path + "/dep/reflex-platform") {}
# , android-build ? false
, obelisk ? import ./.obelisk/impl {
    inherit system;
    iosSdkVersion = "13.2";

    # You must accept the Android Software Development Kit License Agreement at
    # https://developer.android.com/studio/terms in order to build Android apps.
    # Uncomment and set this to `true` to indicate your acceptance:
    config.android_sdk.accept_license = true;

    # In order to use Let's Encrypt for HTTPS deployments you must accept
    # their terms of service at https://letsencrypt.org/repository/.
    # Uncomment and set this to `true` to indicate your acceptance:
    terms.security.acme.acceptTerms = true;

    # Override reflex-platform-func in order to get access to haskellOverlaysPre
    # for adding mobile support.
  # reflex-platform-func = args@{...}:
  #   import ((import ./.obelisk/impl {}).path + "/dep/reflex-platform") (args // { __useNewerCompiler = true; });
  }
}:
with obelisk;
let
  foldExtensions = lib.foldr lib.composeExtensions (_: _: {});
  deps = obelisk.nixpkgs.thunkSet ./dep;
  hydra-pay = import deps.hydra-pay {};  

  pkgs = obelisk.nixpkgs;
  # cardano-libs-overlay = import ./cardano-libs.nix { inherit deps; hydra-poc = deps.hydra-poc; lib = pkgs.lib; };
in
project ./. ({ pkgs, ... }: let
  haskellLib = pkgs.haskell.lib;

in
{
  android.applicationId = "systems.obsidian.obelisk.examples.minimal";
  android.displayName = "Obelisk Minimal Example";
  ios.bundleIdentifier = "systems.obsidian.obelisk.examples.minimal";
  ios.bundleName = "Obelisk Minimal Example";

  overrides = foldExtensions [
    (self: super: {
      string-interpolate = haskellLib.doJailbreak (haskellLib.dontCheck super.string-interpolate);

      backend = haskellLib.overrideCabal super.backend (drv: {
        librarySystemDepends = (drv.librarySystemDepends or []) ++ [
          pkgs.coreutils
          hydra-pay.exe
        ];
      });
    })
  ];
})
